### Hierarchy

- LayoutRenderer<VerticalLayout>
  - VerticalLayoutRenderer

### Implements

- OnInit
- OnDestroy

## Index

### Constructors

- constructor

### Properties

- hidden
- path
- schema
- uischema

### Accessors

- renderProps

### Methods

- getOwnProps
- ngOnDestroy
- ngOnInit

## Constructors

### constructor

- new VerticalLayoutRenderer(ngRedux: NgRedux<JsonFormsState>): VerticalLayoutRenderer

- Overrides LayoutRenderer.constructor

  - Defined in layouts/vertical-layout.renderer.ts:40

  #### Parameters

  - ##### ngRedux: NgRedux<JsonFormsState>

  #### Returns VerticalLayoutRenderer

## Properties

### hidden

hidden: boolean

Inherited from LayoutRenderer.hidden

- Defined in layouts/layout.renderer.ts:42

### path

path: string

Inherited from JsonFormsBaseRenderer.path

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:5

### schema

schema: JsonSchema

Inherited from JsonFormsBaseRenderer.schema

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:4

### uischema

uischema: UISchemaElement

Inherited from JsonFormsBaseRenderer.uischema

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:3

## Accessors

### renderProps

- get renderProps(): OwnPropsOfRenderer[]

- Inherited from LayoutRenderer.renderProps

  - Defined in layouts/layout.renderer.ts:75

  #### Returns OwnPropsOfRenderer[]

## Methods

### Protected getOwnProps

- getOwnProps(): OwnPropsOfRenderer

- Inherited from JsonFormsBaseRenderer.getOwnProps

  - Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:6

  #### Returns OwnPropsOfRenderer

### ngOnDestroy

- ngOnDestroy(): void

- Inherited from LayoutRenderer.ngOnDestroy

  - Defined in layouts/layout.renderer.ts:69

  #### Returns void

### ngOnInit

- ngOnInit(): void

- Inherited from LayoutRenderer.ngOnInit

  - Defined in layouts/layout.renderer.ts:49

  #### Returns void

Generated using TypeDoc